apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: prometheus-scrape-secret
  namespace: argocd
spec:
  generators:
    - list:
        elements:
          - name: prometheus-scrape-secret
  template:
    metadata:
      name: '{{name}}'
    spec:
      project: observability
      source:
        repoURL: https://git.dvirlabs.com/dvirlabs/observability-stack.git
        targetRevision: HEAD
        path: manifests/prometheus-scrape-secret
      destination:
        server: https://kubernetes.default.svc
        namespace: monitoring
      syncPolicy:
        automated:
          prune: true
          selfHeal: true
        syncOptions:
          - CreateNamespace=true
